Summary: Tools for creating and maintaining software RAID devices.
Name: raidtools
Version: 1.00.3
Release: 1m
License: GPL
Group: System Environment/Base
Source0: http://people.redhat.com/mingo/raidtools/raidtools-%{version}.tar.gz
BuildPreReq: autoconf >= 2.52-8k
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Prereq: MAKEDEV >= 3.0
Obsoletes: md, md-tools
Patch1: raidtools-1.00.3-fhs.patch
NoSource: 0

%description
The raidtools package includes the tools you need to set up and
maintain a software RAID device (using two or more disk drives in
combination for fault tolerance and improved performance) on a Linux
system. It only works with Linux 2.2 kernels and later, or with a 2.0
kernel specifically patched with newer RAID support.

Install raidtools if you need to set up RAID on your system.

%prep
%setup -q
%patch1 -p1 -b .fhs
perl -p -i -e "s|autoheader|autoheader-old|" autogen.sh
perl -p -i -e "s|autoconf|autoconf-old|" autogen.sh

%build
./autogen.sh
make

%install
rm -rf %{buildroot}
make ROOTDIR=%{buildroot} mandir=%{_mandir} install_bin install_doc

# install conf files to config-sample
mkdir -p %{buildroot}%{_datadir}/config-sample/%{name}
for i in *.sample; do
%{__install} -m 644 $i %{buildroot}%{_datadir}/config-sample/%{name}/etc-`echo $i|sed -e "s/.sample//"`
done

%clean
rm -rf %{buildroot}

%post
cd /dev
./MAKEDEV -m 16 md

%files
%defattr(-,root,root)
/sbin/*
%{_mandir}/*/*
%{_datadir}/config-sample/%{name}
%doc COPYING README
%doc Software-RAID.HOWTO/Software-RAID.HOWTO.txt

%changelog
* Wed Jan 15 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (1.00.3-1m)
- update to 1.00.3
- remove  raidtools-19990803-0.90-ia64.patch(merged into original source)
- move config samples to %%{_datadir}/config-sample/%{name}/

* Wed Feb 20 2002 Mitsuru Shimamura <mitsuru@diana.dti.ne.jp>    
- (0.90-20k)
- add BuildPreReq: autoconf >= 2.52-8k

* Mon Feb 18 2002 Tsutomu Yasuda <tom@kondara.org>
- (0.90-18k)
- update to 19990824

* Sat Nov 25 2000 Kenichi Matsubara <m@kondara.org>
- add %clean section.

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Mon Jun 19 2000 Nalin Dahyabhai <nalin@redhat.com>
- use MAKEDEV to create md devices

* Mon Jun 19 2000 Than Ngo <than@redhat.de>
- FHS fixes
- add post and preun to create and delte device

* Fri Mar 17 2000 Erik Troan <ewt@redhat.com>
- added patch for ia64

* Mon Feb  7 2000 Bill Nottingham <notting@redhat.com>
- handle compressed manpages

* Wed Aug 25 1999 Cristian Gafton <gafton@redhat.com>
- updated to 0.90 from 080399

* Tue Jul 27 1999 Cristian Gafton <gafton@redhat.com>
- added patch from Jakub for fixing __NR__llseek on sparcs

* Tue Apr 06 1999 Cristian Gafton <gafton@redhat.com>
- updated sources from mingo

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 2)

* Mon Feb 08 1999 Erik Troan <ewt@redhat.com>
- updated to 0.90 19980128

* Mon Oct 12 1998 Erik Troan <ewt@redhat.com>
- backrev'd to 0.50beta10 (which works with old md)
- patched to actually work with old level md support

* Fri Oct 09 1998 Cristian Gafton <gafton@redhat.com>
- put some real Summary and description fields
- obsoletes the md and md-tools package that are floating around on the net

* Sat Sep 19 1998 Jeff Johnson <jbj@redhat.com>
- tweak description/summary for uniqueness.

* Wed Sep 16 1998 Jeff Johnson <jbj@redhat.com>
- repackage for RH 5.2.
